summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xscripts/kernel_bump.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/kernel_bump.sh b/scripts/kernel_bump.sh
index 90e47789c3..5c147d78a5 100755
--- a/scripts/kernel_bump.sh
+++ b/scripts/kernel_bump.sh
@@ -77,6 +77,11 @@ init()
initial_branch="$(git rev-parse --abbrev-ref HEAD)"
initial_commitish="$(git rev-parse HEAD)"
+ if [ -n "$(git status --porcelain | grep -v '^?? .*')" ]; then
+ echo 'Git respository not in a clean state, will not continue.'
+ exit 1
+ fi
+
source_version="${source_version#v}"
target_version="${target_version#v}"